summaryrefslogtreecommitdiffstats
path: root/debian/cryptsetup-suspend.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/cryptsetup-suspend.postinst')
-rw-r--r--debian/cryptsetup-suspend.postinst14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/cryptsetup-suspend.postinst b/debian/cryptsetup-suspend.postinst
new file mode 100644
index 0000000..daabad5
--- /dev/null
+++ b/debian/cryptsetup-suspend.postinst
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+# dh_installsystemd(1) doesn't support overrides but we manually copy
+# the snippet it would add.
+if [ "$1" = "configure" ] || [ "$1" = "abort-upgrade" ] || [ "$1" = "abort-deconfigure" ] || [ "$1" = "abort-remove" ]; then
+ if [ -d /run/systemd/system ]; then
+ systemctl --system daemon-reload >/dev/null || true
+ fi
+fi
+
+#DEBHELPER#
+exit 0